Get hosted KYC session
curl --request GET \
--url https://api.verisecid.com/v1/kyc/sessions/{sessionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.verisecid.com/v1/kyc/sessions/{sessionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.verisecid.com/v1/kyc/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sessionId": "<string>",
"verificationUrl": "<string>",
"workspaceId": "<string>",
"userId": "<string>",
"status": "not_started",
"createdAt": "2023-11-07T05:31:56Z",
"kycStatus": "Approved",
"updatedAt": "2023-11-07T05:31:56Z",
"redirectUrl": "<string>",
"metadata": {},
"applicantFirstName": "<string>",
"applicantLastName": "<string>",
"applicant": "<string>",
"detectedDocumentType": "<string>",
"expectedDocumentType": "<string>",
"retryAttempt": 123,
"document": {},
"face": {},
"overall": {},
"images": {
"documentFrontPath": "<string>",
"documentFrontUrl": "<string>",
"documentBackPath": "<string>",
"documentBackUrl": "<string>",
"selfiePaths": [
"<string>"
],
"selfieUrls": [
"<string>"
]
},
"verification": {
"pass": true,
"document": {},
"face": {},
"overall": {}
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Hosted sessions
Get hosted KYC session
Returns a session by ID when owned by the requesting user or their workspace.
GET
/
v1
/
kyc
/
sessions
/
{sessionId}
Get hosted KYC session
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Session details
Available options:
not_started, processing, completed, failed Available options:
Approved, Submitted, Declined, null Full applicant name
Number of retry attempts
Extracted document details and scores
Face match details
Overall verification result
Show child attributes
Show child attributes
Show child attributes
Show child attributes

